import axios from "axios";

function getCurrentTimestamp() {
    return new Date().getTime();
}

const api = 'http://nbxt.oa.x-lf.cn'

/**
 * 获取我参与的项目列表
 * 
 * @param token 访问令牌
 * @returns {Promise<AxiosResponse<any>> | *}
 */
export const  getParticipateProjectList = (token)=> {
    return axios({
        method: 'get',
        url: `${api}/project/participate/get`,
        headers: {
            'Authorization': `Bearer ${token}`,
            'Timestamp':getCurrentTimestamp()
        }
    })
}



